Update Organization
Update an organization’s details.
curl --request PATCH \
--url https://answeringagent.com/api/v1/organizations/{organization_id} \
--header 'Content-Type: application/json' \
--header 'X-API-KEY: <api-key>' \
--data '
{
"name": "Updated Acme Corporation",
"description": "An updated description"
}
'import requests
url = "https://answeringagent.com/api/v1/organizations/{organization_id}"
payload = {
"name": "Updated Acme Corporation",
"description": "An updated description"
}
headers = {
"X-API-KEY": "<api-key>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {'X-API-KEY': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({name: 'Updated Acme Corporation', description: 'An updated description'})
};
fetch('https://answeringagent.com/api/v1/organizations/{organization_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": 1,
"name": "Acme Corporation",
"partner_type": "provisioned",
"permissions": {
"can_view_dashboard": true,
"can_manage_dashboard_viewers": true
},
"created_at": "2024-01-15T10:30:00Z",
"updated_at": "2024-01-20T14:45:00Z",
"users": [
{
"id": 123,
"external_id": "<string>",
"email": "jsmith@example.com",
"name": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"organizations": [
{
"id": 123,
"name": "<string>"
}
]
}
],
"phone_numbers": [
{
"id": 123,
"name": "<string>",
"phone_number": "<string>",
"address": "<string>",
"google_place_id": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z"
}
]
}{
"error": "API key is required"
}{
"message": "Organization not found"
}{
"message": "<string>",
"errors": {}
}Authorizations
Path Parameters
The ID of the organization
Body
Response
Organization updated successfully.
Unique identifier for the organization
1
Name of the organization
"Acme Corporation"
How this organization is attached to your partner account. 'provisioned' organizations were created through this API and can be updated or deleted. 'linked' organizations belong to existing Answering Agent accounts attached via an accepted partner link and are read-only.
provisioned, linked "provisioned"
Partner capabilities for this organization
Show child attributes
Show child attributes
When the organization was created
"2024-01-15T10:30:00Z"
When the organization was last updated
"2024-01-20T14:45:00Z"
Users that are members of this organization
Show child attributes
Show child attributes
Locations/phone numbers belonging to this organization
Show child attributes
Show child attributes
